%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-csv
Version:        2.4
Release:        %mkrel 6
Summary:        OCaml library for reading and writing CSV files

Group:          Development/OCaml
License:        LGPLv2+
URL:            https://github.com/Chris00/ocaml-csv
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# Remove references to a bytes library for OCaml 5.0 support
Patch0:         %{name}-bytes.patch

BuildRequires:  ocaml >= 4.03.0
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-uutf-devel
BuildRequires:  ocaml-lwt-devel

%description
This OCaml library can read and write CSV files, including all
extensions used by Excel - eg. quotes, newlines, 8 bit characters in
fields, quote-0 etc.

The library comes with a handy command line tool called csvtool for
handling CSV files from shell scripts.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%package        lwt
Summary:        LWT bindings for %{name}
Requires:       %{name} = %{version}-%{release}


%description    lwt
The %{name}-lwt package contains LWT bindings for %{name}.


%package        lwt-devel
Summary:        LWT development files for %{name}
Requires:       %{name}-lwt%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Requires:       ocaml-lwt-devel%{?_isa}


%description    lwt-devel
The %{name}-devel package contains libraries and signature files for
developing applications that use LWT with %{name}.


%prep
%autosetup -p1


%build
# _smp_mflags breaks the build for some reason.
# https://github.com/Chris00/ocaml-csv/issues/34
%dune_build -j1


%install
%dune_install -s

# Remove the csvtool META file and opam project
rm -r %{buildroot}%{ocamldir}/csvtool


%files -f .ofiles-csv
%license LICENSE.md
%{_bindir}/csvtool


%files devel -f .ofiles-csv-devel
%doc CHANGES.md README.md


%files lwt -f .ofiles-csv-lwt


%files lwt-devel -f .ofiles-csv-lwt-devel



%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 2.4-6.mga10
+ Revision: 2193760
- rebuild for ocaml 5.3.0

* Thu Oct 20 2022 pterjan <pterjan> 2.4-5.mga9
+ Revision: 1898066
- Fix BuildRequires

* Sat Oct 15 2022 neoclust <neoclust> 2.4-4.mga9
+ Revision: 1896987
- Rebuild against new ocaml

* Fri May 20 2022 pterjan <pterjan> 2.4-3.mga9
+ Revision: 1859341
- Rebuild for OCaml 4.14

* Wed May 18 2022 pterjan <pterjan> 2.4-2.mga9
+ Revision: 1858603
- Rebuild for new ocaml-lwt

* Fri Oct 15 2021 tv <tv> 2.4-1.mga9
+ Revision: 1751531
- New upstream version 2.4
- Add LWT bindings in new lwt/lwt-devel subpackages

* Thu Mar 25 2021 tv <tv> 1.7-6.mga9
+ Revision: 1709769
- Rebuild for ocaml-4.12

* Sun Jan 10 2021 pterjan <pterjan> 1.7-5.mga8
+ Revision: 1670440
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.7-4.mga8
+ Revision: 1551353
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.7-3.mga8
+ Revision: 1545290
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 1.7-2.mga8
+ Revision: 1484331
- rebuild for ocaml-4.10

* Sat Mar 16 2019 daviddavid <daviddavid> 1.7-1.mga7
+ Revision: 1377866
- new version: 1.7

* Tue Oct 23 2018 tv <tv> 1.5-5.mga7
+ Revision: 1324279
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.5-4.mga7
+ Revision: 1299857
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 1.5-3.mga7
+ Revision: 1179671
- BR ocaml-ocamlbuild
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 1.5-2.mga6
+ Revision: 1056321
- Rebuild for fix in ocaml

* Sun Sep 18 2016 daviddavid <daviddavid> 1.5-1.mga6
+ Revision: 1053653
- new version: 1.5

* Thu Feb 18 2016 daviddavid <daviddavid> 1.4.2-1.mga6
+ Revision: 966005
- new version: 1.4.2
- new upstream URL and Source URL
- update files list for devel subpackage

* Fri Feb 12 2016 umeabot <umeabot> 1.3.2-4.mga6
+ Revision: 956347
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-3.mga5
+ Revision: 750048
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-2.mga5
+ Revision: 683015
- Mageia 5 Mass Rebuild

* Wed Dec 25 2013 blue_prawn <blue_prawn> 1.3.2-1.mga5
+ Revision: 560569
- updated to last version 1.3.2

* Sat Oct 19 2013 umeabot <umeabot> 1.3.1-2.mga4
+ Revision: 534694
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 1.3.1-1.mga4
+ Revision: 478621
- update to 1.3.1

* Fri Aug 09 2013 malo <malo> 1.3.0-1.mga4
+ Revision: 465015
- update to 1.3.0

* Sat Jan 12 2013 umeabot <umeabot> 1.2.3-5.mga3
+ Revision: 361257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 malo <malo> 1.2.3-4.mga3
+ Revision: 323492
- rebuild for new ocaml
- change BuildRequires to ocaml-compiler

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.2.3-3.mga3
+ Revision: 301647
- new rpm group for ocaml
- new rpm group for ocaml

* Sat Aug 25 2012 blue_prawn <blue_prawn> 1.2.3-1.mga3
+ Revision: 283983
- updated to last version 1.2.3
- also include the files AUTHORS.txt and LICENSE.txt
- provide also examples/ and tests/ directories
- clean spec file along the mageia policy

* Sat Oct 22 2011 malo <malo> 1.2.2-2.mga2
+ Revision: 157423
- rebuild for OCaml 3.12.1

* Sun Sep 25 2011 shlomif <shlomif> 1.2.2-1.mga2
+ Revision: 147696
- New version - 1.2.2 - thanks to Malo.

* Sat Apr 30 2011 misc <misc> 1.1.7-4.mga1
+ Revision: 93951
- increase Release for upgrade from Mandriva

* Mon Mar 21 2011 saispo <saispo> 1.1.7-1.mga1
+ Revision: 75210
- Imported package ocaml-csv from Mandriva, where it has been imported from Fedora (by Florent Monnier) (revision 1.9).
  The initial Fedora RPM release was made by Richard W.M. Jones.

